Loading...
Searching...
No Matches
DcmInputFilter Class Referenceabstract

pure virtual abstract base class for input filters, i.e. More...

Inheritance diagram for DcmInputFilter:

## Public Member Functions

virtual | ~DcmInputFilter ()
| destructor
virtual void | append (DcmProducer &producer)=0
| determines the producer from which the filter is supposed to read it's input.
Public Member Functions inherited from DcmProducer
virtual | ~DcmProducer ()
| destructor
virtual OFBool | good () const =0
| returns the status of the producer.
virtual OFCondition | status () const =0
| returns the status of the producer as an OFCondition object.
virtual OFBool | eos ()=0
| returns true if the producer is at the end of stream.
virtual offile_off_t | avail ()=0
| returns the minimum number of bytes that can be read with the next call to read().
virtual offile_off_t | read (void *buf, offile_off_t buflen)=0
| reads as many bytes as possible into the given block.
virtual offile_off_t | skip (offile_off_t skiplen)=0
| skips over the given number of bytes (or less)
virtual void | putback (offile_off_t num)=0
| resets the stream to the position by the given number of bytes.

## Detailed Description

pure virtual abstract base class for input filters, i.e.

intermediate nodes of a filter chain in an input stream.

## Member Function Documentation

## append()

virtual void DcmInputFilter::append | ( | DcmProducer & | producer | ) |

pure virtual

determines the producer from which the filter is supposed to read it's input.

Once a producer for the input filter has been defined, it cannot be changed anymore during the lifetime of the object.

Parameters

  producer | reference to producer, must not be circular chain

Implemented in DcmZLibInputFilter.

The documentation for this class was generated from the following file:

- dcmdata/include/dcmtk/dcmdata/dcistrma.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0